<?xml version="1.0" encoding="UTF-8" ?>
<profiles xmlns="http://www.eprosima.com/XMLSchemas/fastRTPS_Profiles">
  <transport_descriptors>
    <transport_descriptor>
      <transport_id>rdk_udp_164</transport_id>
      <type>UDPv4</type>
      <maxInitialPeersRange>64</maxInitialPeersRange>
      <interfaceWhiteList>
        <address>192.168.10.164</address>
      </interfaceWhiteList>
    </transport_descriptor>
    <transport_descriptor>
      <transport_id>rdk_shm</transport_id>
      <type>SHM</type>
    </transport_descriptor>
  </transport_descriptors>

  <participant profile_name="rdk_dds_164" is_default_profile="true">
    <rtps>
      <builtin>
        <avoid_builtin_multicast>true</avoid_builtin_multicast>
        <initialPeersList>
          <locator>
            <udpv4>
              <address>192.168.10.164</address>
            </udpv4>
          </locator>
          <locator>
            <udpv4>
              <address>192.168.10.173</address>
            </udpv4>
          </locator>
        </initialPeersList>
      </builtin>
      <userTransports>
        <transport_id>rdk_udp_164</transport_id>
        <transport_id>rdk_shm</transport_id>
      </userTransports>
      <useBuiltinTransports>false</useBuiltinTransports>
    </rtps>
  </participant>
</profiles>
